Bug 1265391 - `dnf update @group` doesn't work
Summary: `dnf update @group` doesn't work
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 23
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-22 19:44 UTC by Stephen Gallagher
Modified: 2016-01-04 19:52 UTC (History)
7 users (show)

Fixed In Version: dnf-1.1.5-1.fc23 dnf-1.1.5-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 21:59:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Gallagher 2015-09-22 19:44:32 UTC
Description of problem:
DNF cannot upgrade the set of packages contained in a comps group with the `dnf update @<group>` syntax. It works with `dnf group update <group>`

Version-Release number of selected component (if applicable):
dnf-1.1.0-2.fc23

How reproducible:
Every time

Steps to Reproduce:
1. Install a package group.
2. Enable a repository that contains at least one update to a package in that group.
3. Run `dnf update @group-shortname`

Actual results:
No match for argument: @group-shortname
Error: no packages marked for upgrade

Expected results:
The packages should be updated.

Additional info:
This is problematic for rolekit, which relies on being able to update entire comps groups alongside individual packages.

Comment 1 Fedora Update System 2015-12-18 17:47:10 UTC
dnf-plugins-core-0.1.15-1.fc23 dnf-1.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c72cd24fa0

Comment 2 Fedora Update System 2015-12-18 17:48:50 UTC
dnf-plugins-core-0.1.15-1.fc22 dnf-1.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bb112ccc6

Comment 3 Fedora Update System 2015-12-19 19:59:41 UTC
dnf-1.1.5-1.fc23, dnf-plugins-core-0.1.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c72cd24fa0

Comment 4 Fedora Update System 2015-12-22 15:35:23 UTC
dnf-1.1.5-1.fc22, dnf-plugins-core-0.1.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bb112ccc6

Comment 5 Fedora Update System 2015-12-22 21:58:56 UTC
dnf-1.1.5-1.fc23, dnf-plugins-core-0.1.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-01-04 19:52:14 UTC
dnf-1.1.5-1.fc22, dnf-plugins-core-0.1.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.